Subject: Bug#3981: netstd compilation problems

From: Ian Jackson <[email-masked]>
Date: Wed, 31 Jul 96 14:40 BST

Package: netstd
Version: 2.05-1

* The debian.README file doesn't clearly explain what the unusual
subdirectory/sub-tarfile structure of the package is.

* You need to be root to do `build', because it depends on `install',
which is part of the binary-build process.  The `build' target should
not depend on `install', and shouldn't need root privilege.  If it is
hard to rearrange things then the `build' target should be made empty
so that it always succeeds.

Secondly,
make[1]: Entering directory `/usr/src/netstd_2.05-1/bootpc-0.51'
cc -O6 -Wall -pedantic -c bootpc.c
In file included from /usr/include/netinet/ip.h:4,
                 from bootpc.c:19:
/usr/include/linux/ip.h:87: warning: ANSI C forbids zero-size array `__data'
In file included from /usr/include/net/if_arp.h:1,
                 from bootpc.c:25:
/usr/include/linux/if_arp.h:123: `MAX_ADDR_LEN' undeclared here (not in a function)
make[1]: *** [bootpc.o] Error 1
make[1]: Leaving directory `/usr/src/netstd_2.05-1/bootpc-0.51'
make: *** [install] Error 1

My libc5 is 5.2.18-9.  I think the latter is a bug in the libc (kernel
headers), which I've reported separately, but the patch below is a
good workaround.  I intend to release a new netstd very shortly, with
this patch included.

Ian.

--- bootpc-0.51/bootpc.c~	Thu Apr 18 00:32:07 1996
+++ bootpc-0.51/bootpc.c	Wed Jul 31 14:39:08 1996
@@ -22,6 +22,7 @@
 #include <arpa/inet.h>
 #include <linux/if.h>
 #include <linux/sockios.h>
+#include <linux/netdevice.h>
 #include <net/if_arp.h>
 #include <sys/time.h>
 #include <unistd.h>